Subject: Following history of a copied file from another indirect branch

From: Joshua Jensen <[email-masked]>
Date: Thu, 21 Oct 2010 12:47:01 -0600

It has become a necessity to copy a file from one long-lived branch to 
another.  It is not possible to merge the branches at this time.

I would like to have 'git gui blame' follow the copy back through its 
original history, but I don't believe Git has metadata for storing 
this.  Something along the lines of a 'followparent' in the commit 
object, for instance, would allow the revision walking code to wander 
the history down an alternate line.

By comparison, integrates work at a file level in Perforce.  That means 
I can integrate a file from one branch to another, and parentage is 
stored such that I can follow the file back through its history.

Are there any facilities to do this now?

Thanks!

Josh